﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _7AlgFibonacci
{
    public partial class Form1 : Form
    {
        void fibIteracja(int n, TextBox tb)
        {
            Int64 a=0,b=1;
            for (int i = 0; i < n; i++)
            {
                tb.AppendText(b.ToString() + Environment.NewLine);
                b += a;
                a = b - a;
            }
        }
        int fibRekurencja(int n)
        {
            if (n < 3) return 1;
            return fibRekurencja(n - 2) + fibRekurencja(n - 1);
        }

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox2.Text.Length < 1) return;
            textBox1.Clear();
            int n = int.Parse(textBox2.Text);
            fibIteracja(n, textBox1);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (textBox2.Text.Length < 1) return;
            textBox1.Clear();
            int n = int.Parse(textBox2.Text);
            for(int i=1;i<=n;i++)
               textBox1.AppendText(fibRekurencja(i).ToString()+Environment.NewLine);
        }

        private void textBox2_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 8) return;//wyskocz jak BackSpace
            if(e.KeyChar<'0'||e.KeyChar>'9') e.Handled = true;
        }

        
    }
}
